Bug 80570 - kdebase missing country flags - this makes kxkb nearly unusable in certain cases
kdebase missing country flags - this makes kxkb nearly unusable in certain cases
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-12-27 21:50 EST by Fernando Perez
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 14:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fernando Perez 2002-12-27 21:50:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Linux 2.4.18-14 i686; U) Opera 6.11  [en]

Description of problem:
The flag files in /usr/share/locale/l10n/* are all removed after running up2date.
This breaks basic functionality of the kde keyboard module.

  KDE uses these flag files to
  identify the various keyboard layouts, superimposing a two-letter country
  code on top of the flag icon.  This means that for layouts which correspond
  to the same country code, after updating kde it becomes impossible to
  visually distinguish between the various layouts. 

  For example, it is very common in the US to use the US and US_intl (US with
  deadkeys) layouts to type western languages with accents (such as Spanish
  and French) on US keyboards.  In the original KDE, the two layouts have a
  clearly different background, while after updating KDE the two backgrounds
  become the same.  It is then impossible to know which keyboard is active in
  any given window without actually typing something and seeing what happens.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start from a stock 8.0 installation.
2. Configure kxkb (the keyboard kde module) to use two layouts with the same country name,
 such as us and us with deadkeys (us_intl).
3. When switching layouts (Ctrl-Alt-K), the little 'us' icon changes background from a US flag to a 'C' flag.
4. Run up2date. This replaces kdebase 3.0.3-13 with -14. 
Now all the flag files are gone.
5. Restart kde.

Actual Results:  Now the background for the keyboard icon is always a gray square.

It becomes impossible to visually know which layout is active.

This is EXTREMELY irritating to users who need to type in different languages.

Expected Results:  The visual feedback of the kxkb module should not be broken by up2date.

Additional info:

One can work around the problem by copying the /usr/share/locale/l10n directory 
from the stock 3.0.3-13 kdebase rpm back over the one that gets 'upgraded' by up2date.

This restores the color flags without any other impact on the system.
Comment 1 Petr Rockai 2006-07-17 14:28:37 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 2 Bill Nottingham 2006-10-18 14:05:48 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.